Bug 1871890 - add current profile annotations to CVO manifests
Summary: add current profile annotations to CVO manifests
Keywords:
Status: POST
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Suresh Kolichala
QA Contact: ge liu
URL:
Whiteboard:
: 1871898 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-24 14:37 UTC by Sam Batschelet
Modified: 2020-09-22 17:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift api pull 722 None closed bug 1871890: add current profile annotations to CVO manifests 2020-09-18 20:20:20 UTC
Github openshift api pull 723 None closed bug 1871890: add current profile annotations to CVO manifests 2020-09-18 20:20:17 UTC
Github openshift api pull 724 None closed bug 1871890: add current profile annotations to CVO manifests 2020-09-18 20:20:19 UTC
Github openshift cluster-authentication-operator pull 352 None open bug 1871890: add current profile annotations to CVO manifests 2020-09-22 15:50:42 UTC
Github openshift cluster-config-operator pull 156 None open bug 1871890: add current profile annotations to CVO manifests 2020-09-22 16:30:53 UTC
Github openshift cluster-etcd-operator pull 427 None closed Bug 1871890: add current profile annotations to CVO manifests 2020-09-18 20:20:17 UTC
Github openshift cluster-kube-apiserver-operator pull 957 None open bug 1871890: add current profile annotations to CVO manifests 2020-09-22 17:58:56 UTC
Github openshift cluster-kube-controller-manager-operator pull 456 None open bug 1871890: add current profile annotations to CVO manifests 2020-09-22 16:56:06 UTC
Github openshift cluster-kube-scheduler-operator pull 273 None closed bug 1871890: add current profile annotations to CVO manifests 2020-09-18 20:20:19 UTC
Github openshift cluster-openshift-apiserver-operator pull 381 None closed bug 1871890: add current profile annotations to CVO manifests 2020-09-18 20:20:16 UTC
Github openshift cluster-openshift-apiserver-operator pull 383 None closed Bug 1871890: Bump coao to golang 1.14 to match kube 2020-09-18 20:20:16 UTC
Github openshift cluster-openshift-controller-manager-operator pull 178 None open bug 1871890: add current profile annotations to CVO manifests 2020-09-22 17:06:45 UTC

Description Sam Batschelet 2020-08-24 14:37:46 UTC
Description of problem: currently CVO managed resources do not contain current profile annotations as per enhancements[1]

```
include.release.openshift.io/self-managed-high-availability: "true"
```

[1] https://github.com/openshift/enhancements/pull/414


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results: proper annotations exist.


Additional info:

Comment 1 David Eads 2020-08-24 14:53:45 UTC
*** Bug 1871898 has been marked as a duplicate of this bug. ***

Comment 3 W. Trevor King 2020-09-18 20:21:16 UTC
Still a bunch of open PRs.  Moving back to POST.


Note You need to log in before you can comment on or make changes to this bug.